Subject: Re: bug#70090: Build failure

From: Stefan Kangas <[email-masked]>
Date: Sat, 29 Jun 2024 22:53:20 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Konrad Podczeck <[email-masked]>
>> Date: Tue, 30 Apr 2024 13:44:47 +0200
>> Cc: [email-masked]
>>
>> This time I get a build failure with /laim/list.el
>>
>> Loading leim/leim-list.el (source)...
>> Error: error ("Invalid byte opcode: op=0, ptr=0")
>>   cconv-make-interpreted-closure(nil ((progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil
>> t))) (t) nil nil)
>>   (function (lambda nil (progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil t))))
>>   (eval-after-load "quail/PY-b5" #'(lambda nil (progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2"
>> 9675 nil t))))
>>   eval-buffer(#<buffer  *load*> nil "leim/leim-list.el" nil t)
>>   load-with-code-conversion("/Users/konradpodczeck/documents/emacs/lisp/leim/leim-list.el" "leim/leim-list.el" t
>> nil)
>>   load("leim/leim-list.el" t)
>>   load("loadup.el")
>>
>> Invalid byte opcode: op=0, ptr=0
>>
>> make[1]: *** [emacs.pdmp] Error 255
>> make: *** [src] Error 2
>
> Did you clean up your source tree, as I suggested previously?  If not,
> please do.  There should be no stale *.elc files, and no stale *.o
> files.

More information was requested, but none was given within 8 weeks, so I'm
closing this bug.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.